Subject: Re: bug#3354: tcl-mode regression in Emacs 22

From: Jason Rumney <[email-masked]>
Date: Thu, 04 Jun 2009 13:14:54 +0800

Glenn Morris wrote:
> Of the 80+ /etc/*.conf files on my Debian system, none start with a
> '#!', so what does this have to do with interpreter-mode-alist needing
> to take priority over auto-mode-alist?
>   

In Debian testing/unstable, they seem to be going through adding .conf 
to the end of all files in /etc subdirectories that have the behavior of 
loading all files in the directory, presumably to solve the problem of 
backup files being evaluated in those directories.  Quite a few of these 
are shell scripts, but having looked properly now, I can only find one 
out of around 300 .conf files under /etc that starts with #!.